### Method

# GLib TimeZone get_identifier

since: 2.58

#### Declaration [src]

    const gchar*
    g_time_zone_get_identifier (
      GTimeZone* tz
    )

#### Description [src]

Get the identifier of this `GTimeZone`, as passed to g_time_zone_new(). If the identifier passed at construction time was not recognised, `UTC` will be returned. If it was `NULL`, the identifier of the local timezone at construction time will be returned.

The identifier will be returned in the same format as provided at construction time: if provided as a time offset, that will be returned by this function.

Available since: 2.58

#### Return value

Type: `const gchar*`

Identifier for this timezone.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.